<?php

    $title = "Danh sách món ăn";
    $this->headTitle($title);
    $foods = $this->foods;
?>

<div class="row">
    <div class="col-md-12">
    <h1><?=$this->escapeHtml($title)?></h1><a href="<?=$this->url('foods',['controller'=>'FoodsController','action'=>'add'])?>" style="display: block;"><button class="btn btn-primary">Thêm mới</button></a>
    <div class="col-md-4 col-md-offset-3" >
    <?=$this->flashMessenger()->render('success',['alert','alert-success'])?>
    </div>
    
<table class="table table-hover">
    <thead>
         <tr>
            <th>STT</th>
            <th>Tên món</th>
            <th>Tên loại</th>
            <th style="width: 25%">Mô tả ngắn</th>
            <th>Đơn giá</th>
            <th>Khuyến mãi</th>
            <th>Hình ảnh</th>
            <th style="width: 125px;">Tùy chọn</th>
         </tr>
    </thead>
    <tbody>
        <?php
            $stt = 1;
        foreach($foods as $f):?>
        <tr>
            <td><?=$stt?></td>
            <td><?=$f->tenMonan?></td>
            <td><?=$f->name_type?></td>
            <td style="width: 25%"><?=$f->summary?></td>
        
            <td><?=$f->price?></td>
            <td><?=$f->promotion?></td>
            <td><img src="./img/hinh_mon_an/<?=$f->image?>" alt="<?=$f->tenMonan?>" width="100px"></td>
            <td>
                <a href="<?=$this->url('foods',['controller'=>'FoodsController','action'=>'edit','id'=>$f->idMonan])?>"><button class="btn btn-success">Sửa</button></a>
                <a href="<?=$this->url('foods',['controller'=>'FoodsController','action'=>'delete','id'=>$f->idMonan])?>"><button class="btn btn-danger">Xóa</button></a>
            </td>
        </tr>
        <?php
        $stt++;
        endforeach?>
        
    </tbody>
</table>

    </div>
</div>